curl --request GET \
--url https://api.sandbox.lead.bank/v0/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v0/applications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v0/applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v0/applications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v0/applications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "application_xyz123",
"client_application_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "approved",
"entities": {
"account_holder_type": "commercial",
"account_holders": [
"entity_xyz123"
],
"authorized_signers": [
"entity_xyz123"
]
},
"details": {
"product_name": "Growth Business Credit Line",
"credit": {
"is_secured": true,
"is_mla": true,
"currency": "AED",
"underwriting_grade": "99",
"limit": 5000000,
"max_limit": 10000000,
"report": {
"score": 575,
"non_score_value": "unestablished",
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"decision": {
"decided_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"exception_approval_reason": "<string>"
},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"metadata": {}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "rate_limit_exceeded",
"title": "You've reached the rate limit for this call, your request was not processed.",
"detail": "If you are continuously hitting rate limits please contact the Lead team.",
"invalid_parameters": []
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve an Application by Client Application ID
Retrieves an application by the client_application_id you assigned, supplied
as a query parameter: GET /v0/applications?client_application_id=.... This is
the filtered form of the applications collection and is distinct from
GET /v0/applications/{id}, which takes the server-generated Application ID
(application_*). The response body is identical to GET /v0/applications/{id}.
curl --request GET \
--url https://api.sandbox.lead.bank/v0/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v0/applications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v0/applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v0/applications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v0/applications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "application_xyz123",
"client_application_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "approved",
"entities": {
"account_holder_type": "commercial",
"account_holders": [
"entity_xyz123"
],
"authorized_signers": [
"entity_xyz123"
]
},
"details": {
"product_name": "Growth Business Credit Line",
"credit": {
"is_secured": true,
"is_mla": true,
"currency": "AED",
"underwriting_grade": "99",
"limit": 5000000,
"max_limit": 10000000,
"report": {
"score": 575,
"non_score_value": "unestablished",
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"decision": {
"decided_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"exception_approval_reason": "<string>"
},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"metadata": {}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "rate_limit_exceeded",
"title": "You've reached the rate limit for this call, your request was not processed.",
"detail": "If you are continuously hitting rate limits please contact the Lead team.",
"invalid_parameters": []
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The client_application_id assigned to the application.
Response
Application object retrieved successfully.
An application object representing a credit application
Unique identifier for the application. Prefixed with application_.
^application_\w+$"application_xyz123"
Client-provided identifier for the application. Optional: present only for applications created via file upload, and omitted for applications created through the API, which are identified solely by their server-generated ID.
Lead server-generated ISO 8601 timestamp when the application was created.
Lead server-generated ISO 8601 timestamp when the application was last updated.
Terminal state of the application. Possible values: approved, declined, canceled.
approved, declined, canceled Entity relationships associated with the application (response only)
Show child attributes
Show child attributes
Application details (response, all properties optional)
Show child attributes
Show child attributes
Decision-related information (response, all properties optional)
Show child attributes
Show child attributes
Documents associated with the application
Show child attributes
Show child attributes
Arbitrary metadata associated with the application
Show child attributes
Show child attributes
Was this page helpful?

